Subject: Bug#4379: dselect insists on wrong installation order

From: Anton Rebhan <[email-masked]>
Date: Mon, 02 Sep 1996 17:30:30 +0200

Package: dselect
Version: 1.2.12 (a.out) and 1.2.11elf

In upgrading from 0.93R6 to 1.1 I had the following problem running
dselect: The installation of perl failed because libgdbm was not
installed,
although the latter was selected. Instead of proceeding with the
installation,
which would obviously have solved the problem in a second run, it
terminated.
Only after stepping out and installing libgdbm by dpkg -iB by hand could
I
resume the installation by dselect. Fortunately, there was no similar
problem
with the other packages.
The very same problem but with different packages (sorry, I forgot
which),
happened recently by making a fresh installation on a new computer.
This time, the version of dselect was 1.2.11elf. Again, I solved the
problem by dpkg -iB on the missing package which was selected but not
processed because the installation stopped prematurely. (Rerunning it
stopped always at the same point)

I guess that a quick fix would be to let the installation proceed and
to ask for a further run at the end.

-- 
Univ.-Doz. Dr. Anton Rebhan
Inst. f. Theoret. Physik, Techn. Univ. Wien
Wiedner Hauptstr. 8-10/136
A-1040 Vienna, Austria
Tel: +43-1-58801-5695
Fax: +43-1-5867760